高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviTrafficFacilityInfo Class Reference

道路交通设施类 Road traffic facilities More...

`#include <AMapNaviCommonObj.h>`

Inheritance diagram for AMapNaviTrafficFacilityInfo:

## Properties
AMapNaviPoint * | coordinate
| 经纬度 Latitude and longitude
NSInteger | boardcastType
NSInteger | distance
NSInteger | limitSpeed

## Detailed Description

道路交通设施类 Road traffic facilities

道路设施类型 Road facility types 0：未知道路设施 Unknown road facilities 4：测速拍照 Speed camera 5：违章拍照 Traffic violation camera 12：铁路道口 Railway crossing 13：左侧落石 Falling rocks on the left 14：事故易发地段 Accident-prone area 15：路段易滑 Slippery road section 16：村庄 Village 18：学校 School 19：有人看管的铁路道口 Manned railway crossing 20：无人看管的铁路道口 Unmanned railway crossing 21：道路两侧变窄 Road narrows on both sides 22：向左急弯路 Sharp left curve 23：向右急弯路 Sharp right curve 24：反向弯路 Reverse curve 25：连续弯路 Continuous curves 26：左侧车辆交汇处 Left-side vehicle merging 27：右侧车辆交汇处 Right-side vehicle merging 28：监控摄像 Surveillance camera 29：公交专用道拍照 Bus lane camera 31：禁止超车 No overtaking 36：右侧变窄 Right side narrows 37：左侧变窄 Left side narrows 38：窄桥 Narrow bridge 39：左右绕行 Detour left or right 40：左侧绕行 Detour left 41：右侧绕行 Detour right 42：右侧落石 Rockfall on the right 43：左侧靠山险路 Dangerous mountain road on the left 44：右侧靠山险路 Dangerous mountain road on the right 47：上陡坡 Steep ascent 48：下陡坡 Steep descent 49：过水路面 Water crossing 50：路面不平 Uneven road surface 52：慢行 Slow down 53：事故多发,注意危险 Accident-prone area, be cautious of danger 54：横风区 Crosswind area 58：隧道 Tunnel 59：渡口 Ferry 92:闯红灯拍照 Red light camera 93:应急车道拍照 Emergency lane camera 94:非机动车道拍照 Non-motorized lane camera 100：违章高发地 High-frequency violation area

## Property Documentation

## ◆ boardcastType

- (NSInteger) boardcastType
| read write nonatomic assign

类型，请参考 “道路设施类型” 的注释 Type, please refer to the notes of 'Road Facility Types'

## ◆ coordinate

- (AMapNaviPoint*) coordinate
| read write nonatomic strong

经纬度 Latitude and longitude

## ◆ distance

- (NSInteger) distance
| read write nonatomic assign

距离设施的剩余距离(单位:米) Remaining distance to the facility (unit: meters)

## ◆ limitSpeed

- (NSInteger) limitSpeed
| read write nonatomic assign

限速值(单位:公里/小时) Speed limit (unit: km/h)

The documentation for this class was generated from the following file:

- AMapNaviCommonObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。